Package nl.tue.id.oocsi.client.data

# Class JSONWriter

java.lang.Object
nl.tue.id.oocsi.client.data.JSONWriter

    public class JSONWriter
    extends java.lang.Object

JSONWriter is part of the StringTree library (https://github.com/efficacy/stringtree) Apache licence 2.0 http://www.apache.org/licenses/LICENSE-2.0.html

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.StringBuffer` | `buf` |
  `protected java.util.Stack<java.lang.Object>` | `calls` |
  `protected boolean` | `emitClassName` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `JSONWriter()` |
  `JSONWriter​(boolean emitClassName)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `add​(char c)` |
  `protected void` | `add​(java.lang.Object obj)` |
  `protected void` | `add​(java.lang.String name, java.lang.Object value)` |
  `protected void` | `array​(java.lang.Object object)` |
  `protected void` | `array​(java.util.Iterator<?> it)` |
  `protected void` | `bean​(java.lang.Object object)` |
  `protected void` | `bool​(boolean b)` |
  `protected boolean` | `cyclic​(java.lang.Object object)` |
  `protected void` | `map​(java.util.Map<java.lang.String,​java.lang.Object> map)` |
  `protected void` | `string​(java.lang.Object obj)` |
  `protected void` | `unicode​(char c)` |
  `protected void` | `value​(java.lang.Object object)` |
  `java.lang.String` | `write​(boolean b)` |
  `java.lang.String` | `write​(char c)` |
  `java.lang.String` | `write​(double d)` |
  `java.lang.String` | `write​(long n)` |
  `java.lang.String` | `write​(java.lang.Object object)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### buf

    protected java.lang.StringBuffer buf

  - ### calls

    protected java.util.Stack<java.lang.Object> calls

  - ### emitClassName

    protected boolean emitClassName

- ## Constructor Details

  - ### JSONWriter

    public JSONWriter​(boolean emitClassName)

  - ### JSONWriter

    public JSONWriter()

- ## Method Details

  - ### write

    public java.lang.String write​(java.lang.Object object)

  - ### write

    public java.lang.String write​(long n)

  - ### write

    public java.lang.String write​(double d)

  - ### write

    public java.lang.String write​(char c)

  - ### write

    public java.lang.String write​(boolean b)

  - ### value

    protected void value​(java.lang.Object object)

  - ### cyclic

    protected boolean cyclic​(java.lang.Object object)

  - ### bean

    protected void bean​(java.lang.Object object)

  - ### add

    protected void add​(java.lang.String name, java.lang.Object value)

  - ### map

    protected void map​(java.util.Map<java.lang.String,​java.lang.Object> map)

  - ### array

    protected void array​(java.util.Iterator<?> it)

  - ### array

    protected void array​(java.lang.Object object)

  - ### bool

    protected void bool​(boolean b)

  - ### string

    protected void string​(java.lang.Object obj)

  - ### add

    protected void add​(java.lang.Object obj)

  - ### add

    protected void add​(char c)

  - ### unicode

    protected void unicode​(char c)